> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put blogssiterss



## OpenAPI

````yaml /api-reference/blogs/openapi.json put /blogs/site/rss/{id}
openapi: 3.0.0
info:
  title: Blogs API
  description: Documentation for Blogs
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: blogs
    description: Documentation for Blogs
paths:
  /blogs/site/rss/{id}:
    put:
      operationId: UpdateRssFeed
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRssFeedParams'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateRssFeedParams:
      type: object
      properties:
        locationId:
          type: string
        blogId:
          type: string
        url:
          type: string
        name:
          type: string
        noOfPosts:
          type: number
        loadFullContent:
          type: boolean
      required:
        - locationId
        - blogId
        - url
        - name
        - noOfPosts
        - loadFullContent

````